package com.uas.ps.vote.dao;

import com.uas.ps.vote.model.Enterprise;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

/**
 * @Author: huj
 * @Date: Created in 14:39 2018/10/26.
 */
@Repository
public interface EnterpriseDao extends JpaRepository<Enterprise, Long>, JpaSpecificationExecutor<Enterprise> {

    /**
     * 按enUU查找已报名企业
     * @param enUU
     * @return
     */
    Enterprise findByEnUU(Long enUU);
}
