package com.uas.ps.vote.dao;

import com.uas.ps.vote.model.User;
import com.uas.ps.vote.model.Vote;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

/**
 * @Author: huj
 * @Date: Created in 14:38 2018/10/26.
 */
@Repository
public interface UserDao extends JpaSpecificationExecutor<User>, JpaRepository<User, Long> {

    /**
     * 查找投票记录
     * @param userUU
     * @param type
     * @return
     */
    User findByUserUUAndType(Long userUU, Vote.Type type);

}
