package com.uas.ps.vote.service;

import com.uas.ps.core.page.PageParams;
import com.uas.ps.vote.model.Vote;
import com.uas.ps.vote.support.ResultMap;

/**
 * @Author: huj
 * @Date: Created in 14:19 2018/10/26.
 */
public interface VoteService {

    /**
     * 获取单个企业
     * @return
     */
    ResultMap getEnterprise(Long enUU);

    /**
     * 获取所有企业
     * @return
     */
    ResultMap getEnterprises(PageParams params, Vote.Type type, String keyword);

    /**
     * 企业报名
     * @return
     */
    ResultMap apply(Long enUU, Vote.Type type, Long userUU, String enDes, String enName, String userName);

    /**
     * 用户投票
     * @return
     */
    ResultMap vote(Long userUU, Vote.Type type, Long enUU, String userName);

}
